Type to search.

Assign and unassign users from attack discovery alerts

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/assignees
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Assign users to attack discovery alerts, and unassign them from alerts. Optionally cascade the change to related detection alerts via kibana.alert.attack_discovery.alert_ids.

Note

You cannot add and remove the same assignee in the same request.

Request body

An object containing assignees to add or remove and attack ids the changes will be applied to

assignees object required
add string[] · format: nonempty required
remove string[] · format: nonempty required
ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

When true, the change is also applied to detection alerts related to the attacks via kibana.alert.attack_discovery.alert_ids.

Responses

Successful response

application/json

Response Type: object